CH_PROTO_CONVERTER_WRITE_FUNC(3)

PROTO_FUNC
ch_PROTO_converter_write_func - Write bytes.

SYNOPSIS
#include <karma_ch.h>

unsigned int ch_PROTO_converter_write_func

(Channel channel, char *buffer, unsigned int length, void **info)

DESCRIPTION
This routine will convert bytes being written to a channel object

channel
    The channel object. It is permissable for the routine to call <-ch_write-> with this channel. If this is done, this function will be bypassed.

buffer
    The buffer to read the data from. The contents of this buffer may be modified if needed.

length
    The number of bytes to read from the buffer.

info
    A pointer to the arbitrary information pointer. This may be modified

RETURN VALUE
The number of bytes read from the buffer.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/